ru.bitel.bgbilling.kernel.contract.balance.server.event

## Class PaymentChangingEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.contract.balance.server.event.PaymentChangingEvent

- All Implemented Interfaces:
    java.io.Serializable, ErrorReturnableEvent

  Deprecated.

      @Deprecated
      public class PaymentChangingEvent
      extends LocalEvent
      implements ErrorReturnableEvent

  Событие генерируется в момент занесения платежа в договор через интерфейс. Возможна установка ошибки, что прерывает процесс.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaymentChangingEvent(int userId, Payment payment)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getError()` Deprecated. Возвращает ошибку.
    `Payment` | `getPayment()` Deprecated. Возвращает платеж, заносимый в договор.
    `void` | `setError(java.lang.String error)` Deprecated. Устанавливает ошибку.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PaymentChangingEvent

          public PaymentChangingEvent(int userId,
                                      Payment payment)

      Deprecated.

  - ### Method Detail

    - #### getPayment

          public Payment getPayment()

      Deprecated.
      Возвращает платеж, заносимый в договор.
      Returns:

    - #### getError

          public java.lang.String getError()

      Deprecated.
      Возвращает ошибку.
      Specified by:
        `getError` in interface `ErrorReturnableEvent`
      Returns:

    - #### setError

          public void setError(java.lang.String error)

      Deprecated.
      Устанавливает ошибку.
      Parameters:
        `error` -